<?
if(isset($_GET['ozero']) && isset($_GET['spond']) && intval($_GET['spond'])!=NULL && mysql_result(mysql_querll("SELECT COUNT(*) FROM `kolhoz_pond` WHERE `id` = '".intval($_GET['spond'])."' AND `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"),0)!=0)
{
$ground=mysql_fetch_array(mysql_querll("SELECT * FROM `kolhoz_pond` WHERE `id` = '".intval($_GET['spond'])."' AND `id_user` = '$ku[id]' AND `id_plant` = '0' AND (`time` = '$time' OR `time` < '$time') AND `cultivator` = '0'"));
if($ku['level']>=1 and $ku['level']<=9){$min=1;$max=3;}
if($ku['level']>=10 and $ku['level']<=19){$min=3;$max=7;}
if($ku['level']>=20 and $ku['level']<=39){$min=10;$max=15;}
if($ku['level']>=40 and $ku['level']<=100){$min=20;$max=50;}

$rat=rand($min,$max);
$rat_drakon_act=0;
$rat_sc_act=0;
$rat_cultivator_act=0;
$rat_school_act=0;
$rat_lib_act=0;
if(isset($sc_act))$rat_sc_act=$rat*2;
if(isset($sponder_act))$rat_cultivator_act=(($rat/100)*$sponder_act);
if(isset($drakon_act))$rat_drakon_act=(($rat/100)*300);
if(isset($shmel_act))$rat_cultivator_act=$rat_cultivator_act*2;
$ratt=$rat_drakon_act+$rat_sc_act+$rat_cultivator_act+$rat_school_act+$rat_lib_act;
if($ratt==0)$rat=$rat;
else $rat=$ratt;
if(isset($dexp))$rat=$rat*2;
mysql_querll("UPDATE `kolhoz_pond` SET `cultivator` = '1' WHERE `id` = '".intval($_GET['spond'])."' LIMIT 1");
mysql_querll("UPDATE `kolhoz_user` SET `rating` = '".($ku['rating']+$rat)."' WHERE `id` = '$ku[id]'");
$_SESSION['rating']=$rat;
update_mc($rat);
header("Location:?ozero&".passgen());
exit;
}
?>